<?php
/**
 * Footer
 *
 * @package WordPress
 * @subpackage Smarty
 */
?>      
        <footer class="site-footer">
            <?php if( 1 == get_theme_mod( 'footer_widgets' , 1) ) { ?>
                <div class="container">
                    <?php get_sidebar("footer"); ?>
                </div><!-- /container -->
            <?php } ?>

            <?php if( 1 == get_theme_mod( 'footer_extras', 1 ) ) { ?>
            <div class="footer-extras">
                <div class="container">
                    <div class="row footer-line">

                        <?php if (get_theme_mod( 'footer_extras_copyright','Copyright 2014 - All rights reserved Smarty') != '') { ?>
                        <div class="col-xs-12 col-sm-6 col-md-6">
                            <p class="copyright"><?php echo get_theme_mod('footer_extras_copyright','Copyright 2014 - All rights reserved Smarty'); ?></p>
                        </div>
                        <?php } ?>

                        <?php
                        if( 1 == get_theme_mod( 'footer_extras_menu' , 1 ) ) { 
                            wp_nav_menu(
                                array(
                                    'theme_location' => 'footer-menu',
                                    'menu' => 'footer',
                                    'fallback_cb ' => '',
                                    'container_class' => 'col-xs-12 col-sm-6 col-md-6',
                                    'menu_class' => 'footer-menu list-inline pull-right',
                                    'menu_id' => 'footer-menu',
                                    'depth' => 1,
                                )
                            );
                        } 
                        ?>

                    </div><!-- /row -->
                </div><!-- /container -->
            </div><!-- /footer-extras -->
            <?php } ?>
        </footer>
        </div><!-- /layout-width -->

        <a class="scrollup img-rounded hidden-xs hidden-sm" href="#">
        	<i class="arrow_carrot-up"></i>
        </a>

        <?php if (get_theme_mod('custom_js') != '') { ?>
            <script type="text/javascript">
                //<![CDATA[
                    <?php echo stripslashes(get_theme_mod('custom_js')); ?>
                //]]>
            </script>
        <?php } ?>

        <?php wp_footer(); ?>
    </body>
</html>