<?php
class WPBakeryShortCode_gg_featured_icon extends WPBakeryShortCode {

   public function __construct() {  
         add_shortcode('featured_icon', array($this, 'gg_featured_icon'));  
   }


   public function gg_featured_icon( $atts, $content = null ) { 

         $output = $style = $icon_size_css = $icon_color_css = $featured_title = $image = $align_center = $icon_box_css = $icon_box_back = '';
         extract(shortcode_atts(array(
             'featured_title'        => '',
             'featured_desc'         => '',
             'featured_link'         => '',
             'featured_icon'         => '',
             'read_more_text'        => '',
             'read_more_link'        => '',
             'align'                 => 'pull-left',
             'icon_box'              => '',
             'icon_box_color'        => '',
             'el_class'              => '',
             'css_animation'         => '',
             'icon_size'             => '40',
             'icon_color'            => ''
         ), $atts));


         $css_class = $this->getCSSAnimation($css_animation);

         if($align == "pull-center"){
            $align_center = 'style="text-align:center;"';
         } 

         if($icon_box == "use_icon_box"){
            $icon_box_css = 'icon-box';
            $icon_box_back = ' background-color: '.$icon_box_color.';';
         }

         if($icon_size != ""){
            $icon_size_css = ' font-size: '.$icon_size.'px;';
         }

         if($icon_color != ""){
            $icon_color_css = ' color: '.$icon_color.';';
         }

         if($featured_link != ""){
            $featured_title_html = '<a href="'.$featured_link.'">'.$featured_title.'</a>';
         } else {
            $featured_title_html = $featured_title;
         }

         $style = 'style="'.$icon_box_back.$icon_size_css.$icon_color_css.'"';
         
         $output = "\n\t".'<div class="featured-icon-box '.$css_class.'" '.$align_center.'>';
         $output .= "\n\t\t".'<div class="media">';
         $output .= "\n\t\t\t".'<i class="'.$featured_icon.' '.$align.' '.$icon_box_css.' " '.$style.'></i>';
         $output .= "\n\t\t\t".'<div class="media-body">';
         $output .= "\n\t\t\t\t".'<h4 class="media-heading">'.$featured_title_html.'</h4>';
         $output .= "\n\t\t\t\t".'<p class="featured-desc">'.$featured_desc.'</p>';
         if ($read_more_link != '') {
          $output .= "\n\t\t\t\t".'<a class="btn" href="'.$read_more_link.'">'.$read_more_text.'</a>';
         }
         $output .= "\n\t\t\t".'</div>';
         $output .= "\n\t\t".'</div>';        
         $output .= "\n\t".'</div> ';

         return $output;
         
   }
}

$WPBakeryShortCode_gg_featured_icon = new WPBakeryShortCode_gg_featured_icon();  

vc_map( array(
   "name" => __("Featured icon box","okthemes"),
   "description" => __('Display an featured icon with title and description.', 'okthemes'),
   "base" => "featured_icon",
   "class" => "clear_vc_style",
   "icon" => "icon-wpb-gg_vc_featured_icon_box",
   'admin_enqueue_css' => array(get_template_directory_uri().'/lib/visualcomposer/styles.css'),
   'admin_enqueue_js' => array(get_template_directory_uri().'/lib/visualcomposer/custom-vc.js'),
   "category" => __('OKThemes', 'okthemes'),

   "params" => array(
      array(
         "type" => "textfield",
         "heading" => __("Title","okthemes"),
         "param_name" => "featured_title",
         "admin_label" => true,
         "description" => __("Insert title here","okthemes")
      ),
      array(
         "type" => "textarea",
         "heading" => __("Description","okthemes"),
         "param_name" => "featured_desc",
         "description" => __("Insert short description here","okthemes")
      ),
      array(
         "type" => "textfield",
         "heading" => __("Title link","okthemes"),
         "param_name" => "featured_link",
         "description" => __("Insert title link here","okthemes")
      ),
      array(
         "type" => "textfield",
         "heading" => __("Read more text","okthemes"),
         "value" => __("Read more","okthemes"),
         "param_name" => "read_more_text",
         "description" => __("Insert the read more text.","okthemes")
      ),
      array(
         "type" => "textfield",
         "heading" => __("Read more link","okthemes"),
         "param_name" => "read_more_link",
         "description" => __("Insert read more link here","okthemes")
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Featured icon", "okthemes"),
         "param_name" => "featured_icon",
         "value" => $gg_icons_array,
         "description" => __("Choose your featured icon.", "okthemes")
      ),
      array(
         "type" => "textfield",
         "heading" => __("Featured icon size","okthemes"),
         "param_name" => "icon_size",
         "value" => '40',
         "description" => __("Insert custom size here, in px. Default: 40","okthemes")
      ),
      array(
         "type" => "colorpicker",
         "heading" => __('Featured icon color', 'okthemes'),
         "param_name" => "icon_color",
         "description" => __("Select the icon color", "okthemes")
      ),
      array(
         "type" => "checkbox",
         "heading" => __("Icon box","okthemes"),
         "value" => array(__("Wrap the icon in a box?","okthemes") => "use_icon_box" ),
         "param_name" => "icon_box"
      ),
      array(
         "type" => "colorpicker",
         "heading" => __('Icon box background color', 'okthemes'),
         "param_name" => "icon_box_color",
         "description" => __("Select the icon box background color", "okthemes"),
         "dependency" => Array('element' => "icon_box", 'value' => array('use_icon_box'))
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Align the icon", "okthemes"),
         "param_name" => "align",
         "value" => array(__("Align left", "okthemes") => "pull-left", __("Align right", "okthemes") => "pull-right", __("Align center", "okthemes") => "pull-center"),
         "description" => __("Set the alignment of the icon.", "okthemes")
      ),

      $add_css_animation,


   ),
  'js_view'  => 'SmartyVcFeaturedIconView',
) );

?>