<?php
vc_remove_param ('vc_row', 'css' );
vc_remove_param ('vc_row', 'el_class' );

vc_add_param("vc_row", array(
        'type' => 'colorpicker',
        'heading' => __( 'Custom Background Color', 'wpb' ),
        'param_name' => 'bg_color',
        'description' => __( 'Select backgound color for your row', 'wpb' ),
        'edit_field_class' => 'col-md-6'
      ));
vc_add_param("vc_row", array(
        'type' => 'textfield',
        'heading' => __( 'Padding', 'wpb' ),
        'param_name' => 'padding',
        'description' => __( 'You can use px, em, %, etc. or enter just number and it will use pixels.', 'wpb' ),
        'edit_field_class' => 'col-md-6'
      ));
vc_add_param("vc_row", array(
        'type' => 'textfield',
        'heading' => __( 'Bottom margin', 'wpb' ),
        'param_name' => 'margin_bottom',
        'description' => __( 'You can use px, em, %, etc. or enter just number and it will use pixels.', 'wpb' ),
        'edit_field_class' => 'col-md-6'
      ));
vc_add_param("vc_row", array(
        'type' => 'attach_image',
        'heading' => __( 'Background Image', 'wpb' ),
        'param_name' => 'bg_image',
        'description' => __( 'Select background image for your row', 'wpb' )
      ));
vc_add_param("vc_row", array(
        'type' => 'dropdown',
        'heading' => __( 'Background Repeat', 'wpb' ),
        'param_name' => 'bg_image_repeat',
        'value' => array(
                          __( 'Default', 'wpb' ) => '',
                          __( 'Cover', 'wpb' ) => 'cover',
                          __( 'Contain', 'wpb' ) => 'contain',
                          __( 'No Repeat', 'wpb' ) => 'no-repeat'
                        ),
        'description' => __( 'Select how a background image will be repeated', 'wpb' ),
        'dependency' => array( 'element' => 'bg_image', 'not_empty' => true)
      ));

vc_add_param("vc_row", array(
      "type" => "textfield",
      "heading" => __('Padding', 'okthemes'),
      "param_name" => "padding",
      "description" => __("You can use px, em, %, etc. or enter just number and it will use pixels. ", "okthemes"),
      "dependency" => Array('element' => "row_type", 'value' => array('row'))
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"show_settings_on_create"=>true,
	"heading" => __("Row Type", "okthemes"),
	"param_name" => "row_type",
	"value" => array(
		"Row" => "row",
		"Section" => "section"
	)
	
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Type", "okthemes"),
	"param_name" => "type",
	"value" => array(
		"In Container" => "in_container",
		"Full Width" => "fullwidth"	
	),
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Text Align", "okthemes"),
	"param_name" => "text_align",
	"value" => array(
		"Left" => "left",
		"Center" => "center",
		"Right" => "right"
	)
));
vc_add_param("vc_row", array(
	"type" => "checkbox",
	"class" => "",
	"heading" => __("Parallax effect", "okthemes"),
	"value" => array(__("Use parallax effect?", "okthemes") => "use_parallax" ),
	"param_name" => "parallax",
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));
vc_add_param("vc_row", array(
	"type" => "checkbox",
	"class" => "",
	"heading" => __("Add overlay effect", "okthemes"),
	"value" => array(__("Use overlay effect?", "okthemes") => "use_parallax_overlay" ),
	"param_name" => "parallax_overlay",
	"dependency" => Array('element' => "parallax", 'value' => array('use_parallax'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Parallax section height", "okthemes"),
	"value" => "",
	"param_name" => "parallax_height",
	"description" => __("Insert the section height in pixels. Eg: 200", "okthemes"),
	"dependency" => Array('element' => "parallax", 'value' => array('use_parallax'))
));
vc_add_param("vc_row", array(
	"type" => "checkbox",
	"class" => "",
	"heading" => __("Video background", "okthemes"),
	"value" => array(__("Use video background?", "okthemes") => "use_video" ),
	"param_name" => "video",
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Video section height", "okthemes"),
	"value" => "",
	"param_name" => "video_height",
	"description" => __("Insert the video section height in pixels. Eg: 200", "okthemes"),
	"dependency" => Array('element' => "video", 'value' => array('use_video'))
));

vc_add_param("vc_row", array(
	"type" => "checkbox",
	"class" => "",
	"heading" => __("Video overlay", "okthemes"),
	"value" => array(__("Use transparent overlay over video?", "okthemes") => "use_video_overlay" ),
	"param_name" => "video_overlay",
	"dependency" => Array('element' => "video", 'value' => array('use_video'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Video background (webm) file url", "okthemes"),
	"value" => "",
	"param_name" => "video_webm",
	"dependency" => Array('element' => "video", 'value' => array('use_video'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Video background (mp4) file url", "okthemes"),
	"value" => "",
	"param_name" => "video_mp4",
	"dependency" => Array('element' => "video", 'value' => array('use_video'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Video background (ogv) file url", "okthemes"),
	"value" => "",
	"param_name" => "video_ogv",
	"dependency" => Array('element' => "video", 'value' => array('use_video'))
));
vc_add_param("vc_row", array(
	"type" => "attach_image",
	"class" => "",
	"heading" => __("Video preview image", "okthemes"),
	"value" => "",
	"param_name" => "video_image",
	"dependency" => Array('element' => "video", 'value' => array('use_video'))
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Padding Top", "okthemes"),
	"value" => "",
	"param_name" => "padding_top",
	"description" => __("You can use px, em, %, etc. or enter just number and it will use pixels. ", "okthemes"),
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Padding Bottom", "okthemes"),
	"value" => "",
	"param_name" => "padding_bottom",
	"description" => __("You can use px, em, %, etc. or enter just number and it will use pixels. ", "okthemes"),
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));

vc_add_param("vc_row", array(
        'type' => 'textfield',
        'heading' => __( 'Extra class name', 'js_composer' ),
        'param_name' => 'el_class',
        'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'js_composer' ),
      ));

vc_add_param("vc_row",  array(
  "type" => "dropdown",
  "heading" => __("CSS Animation", "okthemes"),
  "param_name" => "css_animation",
  "admin_label" => true,
  "value" => array(__("No", "okthemes") => '', __("Top to bottom", "okthemes") => "top-to-bottom", __("Bottom to top", "okthemes") => "bottom-to-top", __("Left to right", "okthemes") => "left-to-right", __("Right to left", "okthemes") => "right-to-left", __("Appear from center", "okthemes") => "appear"),
  "description" => __("Select animation type if you want this element to be animated when it enters into the browsers viewport. Note: Works only in modern browsers.", "okthemes"),
  "dependency" => Array('element' => "row_type", 'value' => array('row', 'section'))
  
));

// Row Inner
vc_add_param("vc_row_inner", array(
	"type" => "dropdown",
	"class" => "",
	"show_settings_on_create"=>true,
	"heading" => __("Row Type", "okthemes"),
	"param_name" => "row_type",
	"value" => array(
		"Row" => "row",
		"Section" => "section"
	)
	
));
vc_add_param("vc_row_inner", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Type", "okthemes"),
	"param_name" => "type",
	"value" => array(
		"In Container" => "in_container",
		"Full Width" => "fullwidth"		
	),
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));
vc_add_param("vc_row_inner", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Anchor ID", "okthemes"),
	"param_name" => "anchor",
	"value" => ""
));
vc_add_param("vc_row_inner", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Text Align", "okthemes"),
	"param_name" => "text_align",
	"value" => array(
		"Left" => "left",
		"Center" => "center",
		"Right" => "right"
	)
	
));

vc_add_param("vc_row_inner", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Padding Top", "okthemes"),
	"value" => "",
	"param_name" => "padding_top",
	"description" => __("You can use px, em, %, etc. or enter just number and it will use pixels. ", "okthemes"),
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));
vc_add_param("vc_row_inner", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Padding Bottom", "okthemes"),
	"value" => "",
	"param_name" => "padding_bottom",
	"description" => __("You can use px, em, %, etc. or enter just number and it will use pixels. ", "okthemes"),
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));

?>