<?php
/**
 * Adds gg_Tabbed_Widget widget.
 */
class gg_Tabbed_Widget extends WP_Widget {

	/**
	 * Register widget with WordPress.
	 */
	function __construct() {
		parent::__construct(
			'gg_tabbed_widget', // Base ID
			__('Posts tabbed Widget', 'okthemes'), // Name
			array( 'description' => __( 'Posts tabbed Widget', 'okthemes' ), 'classname' => 'tabbed-widget', ) // Args
		);
	}

	/**
	 * Front-end display of widget.
	 */
	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );

		$number = ! empty( $instance['number'] ) ? $instance['number'] : '';

		echo $args['before_widget'];

		if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];

		$unique_id = rand();
		?>

		<div class="sb_tabbed">
		  	<!-- The tabs -->
		  	<ul class="nav nav-tabs nav-justified">
		  		<li class="active"><a href="#popular_<?php echo $unique_id; ?>" title="Popular tab" data-toggle="tab"><?php _e('Popular','okthemes') ?></a></li>
		  		<li><a href="#recent_<?php echo $unique_id; ?>" title="Recent tab" data-toggle="tab"><?php _e('Recent','okthemes') ?></a></li>
		  		<li><a href="#comments-panel_<?php echo $unique_id; ?>" title="Comments tab" data-toggle="tab"><?php _e('Comments','okthemes') ?></a></li>
		  	</ul>
		  
		  	<div class="tab-content">

		  	<!-- tab 1 -->
		  	<div class="tab-pane active" id="popular_<?php echo $unique_id; ?>">

		  	<ul>
		  	<?php
		  	$sb_pop_posts_query = new WP_Query( array ( 'orderby' => 'comment_count', 'order' => 'DESC', 'posts_per_page' => $number, 'post__not_in' => get_option( 'sticky_posts' ) ) );
		  	
			  	if($sb_pop_posts_query->have_posts()):
				while($sb_pop_posts_query->have_posts()):
			  	$sb_pop_posts_query->the_post();
			  	
			 ?>
			 
			 <li>

			 	<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
				 	<?php 
				 	if ( has_post_thumbnail() ) { 
				 		the_post_thumbnail( 'widget-thumbs', array('class' => 'alignleft img-rounded') ); 
				 	} else {  
					     echo '<span class="post-format '.get_post_format().' pull-left img-rounded">';
					     switch (get_post_format()) {
					     	case 'standard':
					     		echo '<i class="icon_pencil-edit"></i></span>';
					     		break;
					     	case 'aside':
					     		echo '<i class="icon_paperclip"></i></span>';
					     		break;
					     	case 'chat':
					     		echo '<i class="icon_chat_alt"></i></span>';
					     		break;
					     	case 'gallery':
					     		echo '<i class="icon_images"></i></span>';
					     		break;
					     	case 'link':
					     		echo '<i class="icon_link_alt"></i></span>';
					     		break;
					     	case 'image':
					     		echo '<i class="icon_camera_alt"></i></span>';
					     		break;
					     	case 'quote':
					     		echo '<i class="icon_quotations_alt2"></i></span>';
					     		break;
					     	case 'status':
					     		echo '<i class="icon_menu-circle_alt2"></i></span>';
					     		break;
					     	case 'video':
					     		echo '<i class="icon_film"></i></span>';
					     		break;
					     	case 'audio':
					     		echo '<i class="icon_volume-high_alt"></i></span>';
					     		break;							
					     	default:
					     		echo '<i class="icon_pencil-edit"></i></span>';
					     		break;
					     }
					     echo '</span>';
				 	} ?>

				 	<?php echo get_the_title(); ?>
			 
				 </a>
				 
				 <span class="post-comments"><i class="icon_comment_alt"></i><?php echo comments_number( 'No comments', '1 Comment', '% Comments' ); ?></span>
			 
			 </li>
		  	
		  	<?php endwhile;
		  		  endif;
		  		  /* Restore original Post Data */
		  		  wp_reset_postdata();
		    ?>
		  	</ul>
		  	
		  	</div>
		  
		  	<!-- tab 2 -->
		  	<div class="tab-pane" id="recent_<?php echo $unique_id; ?>">
		  	
		  	<ul>
		  	<?php
		  	$sb_recent_posts_query = new WP_Query( array ( 'posts_per_page' => $number ) );
		  	
			  	if($sb_recent_posts_query->have_posts()):

				while($sb_recent_posts_query->have_posts()):

			  	$sb_recent_posts_query->the_post();
			  	
			 ?>
			 
			 <li>
			 
			 	<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
				 	<?php 
				 	if ( has_post_thumbnail() ) { 
				 		the_post_thumbnail( 'widget-thumbs', array('class' => 'alignleft img-rounded') ); 
				 	} else {   
					     echo '<span class="post-format '.get_post_format().' pull-left img-rounded">';
					     switch (get_post_format()) {
					     	case 'standard':
					     		echo '<i class="icon_pencil-edit"></i></span>';
					     		break;
					     	case 'aside':
					     		echo '<i class="icon_paperclip"></i></span>';
					     		break;
					     	case 'chat':
					     		echo '<i class="icon_chat_alt"></i></span>';
					     		break;
					     	case 'gallery':
					     		echo '<i class="icon_images"></i></span>';
					     		break;
					     	case 'link':
					     		echo '<i class="icon_link_alt"></i></span>';
					     		break;
					     	case 'image':
					     		echo '<i class="icon_camera_alt"></i></span>';
					     		break;
					     	case 'quote':
					     		echo '<i class="icon_quotations_alt2"></i></span>';
					     		break;
					     	case 'status':
					     		echo '<i class="icon_menu-circle_alt2"></i></span>';
					     		break;
					     	case 'video':
					     		echo '<i class="icon_film"></i></span>';
					     		break;
					     	case 'audio':
					     		echo '<i class="icon_volume-high_alt"></i></span>';
					     		break;							
					     	default:
					     		echo '<i class="icon_pencil-edit"></i></span>';
					     		break;
					     }
					     echo '</span>';
				 	} ?>

				 	<?php echo get_the_title(); ?>
			 
				</a>
                <span class="post-date"><?php echo get_the_date(); ?></span>
									 
			 </li>
		  	
		  	<?php endwhile;
		  		  endif; 
		  		  /* Restore original Post Data */
		  		  wp_reset_postdata();
		    ?>
		  	</ul>
		  	
		  	</div>
		  
		  	<!-- tab 3 -->
		  	<div class="tab-pane" id="comments-panel_<?php echo $unique_id; ?>">
		  	<?php
		  	$comments = get_comments( apply_filters( 'widget_comments_args', array( 'number' => $number, 'status' => 'approve', 'post_status' => 'publish' ) ) );

			$output = '<ul id="recentcomments">';
			if ( $comments ) {
				// Prime cache for associated posts. (Prime post term cache if we need it for permalinks.)
				$post_ids = array_unique( wp_list_pluck( $comments, 'comment_post_ID' ) );
				_prime_post_caches( $post_ids, strpos( get_option( 'permalink_structure' ), '%category%' ), false );

				foreach ( (array) $comments as $comment) {
					$output .=  '<li class="recentcomments">' . sprintf(_x('%1$s on %2$s', 'widgets','okthemes'), get_comment_author_link( $comment->comment_ID ), '<a href="' . esc_url( get_comment_link($comment->comment_ID) ) . '">' . get_the_title($comment->comment_post_ID) . '</a>') . '</li>';
				}
	 		}
			$output .= '</ul>';
			echo $output; ?>

		  	</div><!-- End tab 3 -->
		  
		  </div><!-- tab content -->

		  </div><!-- tabbed -->

		
		<?php
		echo $args['after_widget'];
	}
	

	/**
	 * Back-end widget form.
	 */
	public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) {
			$title = $instance[ 'title' ];
		}
		else {
			$title = __( 'Tabbed posts', 'okthemes' );
		}
		$number = isset( $instance['number'] ) ? $instance['number'] : '5';

		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>">Title:</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>">
		</p>
		<p>
		  <label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number of posts to display:','okthemes'); ?></label>
		  <input size="2" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php echo esc_attr( $number ); ?>" />
		</p>
		<?php 
	}


	/**
	 * Sanitize widget form values as they are saved.
	 */
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
		$instance['number'] = ( ! empty( $new_instance['number'] ) ) ? strip_tags( $new_instance['number'] ) : '';
		
		return $instance;
	}


} // class gg_Tabbed_Widget

// register gg_Tabbed_Widget 
function register_gg_tabbed_widget() {
    register_widget( 'gg_Tabbed_Widget' );
}
add_action( 'widgets_init', 'register_gg_tabbed_widget' );